{% set CodiceModulo = "COM_MAN_PAT" %}
{% set Urn = "document:c_a560:comunicazione.manifestazione.patrocinio" %}
{% set Urn_procedimento = "" %}
{% set allegati=[
{ "codice":"SCD-TEC",
  "urn":"document:c_a560:schede.tecniche",
  "descrizione_tabella_allegati":"schede tecniche",
  "annotazioni_tabella_allegati":"(una per ciascun evento)",
  "descrizione_meta":"", 
  "filename":"schede tecniche",
  "firmatari":"Titolare_CodiceFiscale",
  "firmatari_label":"il dichiarante",
  "firmato":"NO",
  "numero":"1",
  "dimensione":"15",
  "enabled":"",
  "dynamic_check":"true",
  "tipo":"allegato",
  "tipo_mime":"image/tiff,image/png,image/jpeg,application/pdfn"
},
{ "codice":"DAE-CDI",
  "urn":"document:s_italia:generale;documento.identita;documentazione",
  "descrizione_tabella_allegati":"copia del documento di identità",
  "annotazioni_tabella_allegati":"(da allegare se il modulo è sottoscritto con firma autografa)",
  "descrizione_meta":"", 
  "filename":"Documento identita",
  "firmatari":"Titolare_CodiceFiscale",
  "firmatari_label":"il dichiarante",
  "firmato":"NO",
  "numero":"1",
  "dimensione":"15",
  "enabled":"",
  "dynamic_check":"",
  "tipo":"allegato",
  "tipo_mime":"image/tiff,image/png,image/jpeg,application/pdfn" 
}
]%}
{% set campi_firma = [
  {
    "campi_firma" : "Titolare_CodiceFiscale",
    "campi_firma_label" : "il dichiarante",
    "firmatario" : "SI"
  }
]%}
{% extends "base.html" %}
{% block meta %}
<meta campi_firma="{% for campofirma in campi_firma %}{% if campofirma['firmatario'] == 'SI' %}{% if not loop.first %},{% endif %}{{ campofirma['campi_firma'] }}{% endif %}{% endfor %}"
campi_firma_label="{% for campofirma in campi_firma %}{% if campofirma['firmatario'] == 'SI' %}{% if not loop.first %},{% endif %}{{ campofirma['campi_firma_label'] }}{% endif %}{% endfor %}"
classi_modulo=""
trattamento_dati="PERSONALI"
codice_modulo="{{ CodiceModulo }}"
urn="{% block urn %}{{ Urn }}{% endblock urn %}"
urn_procedimento="{% block urn_procedimento %}{{ Urn_procedimento }}{% endblock urn_procedimento %}"
urn_procedimento_list=""
sub_urn=""
sub_urn_list=""
uo_globo_list=""
descrizione="Comunicazione di svolgimento manifestazione, evento, sagra per la concessione del patrocinio"
destinatario_amministrazione=""
destinatario_ufficio=""
dinamico="SI"
email_a=""
ente_abilitato="TUTTI"
filigrana="NO"
firmare="P7M_ELETTRONICA"
in_bollo="NO"
istruzioni_compilazione=""
istruzioni_invio="mail_pec"
metodo_invio="mail"
name="GLOBO_modulo"
procura="NO,,"
tipo_modulo="principale"
ufficio=""
verifica_pagamento="NO"
versione="4.0|18/11/2024"/>

<meta codice_modulo_figlio="INCARICO_PROCURA"
urn_modulo_figlio="document:s_italia:generale;incarico.procura"
name="GLOBO_modulofiglio"
numero="1"
obbligatorio="DINAMICO"/>
{% for allegato in allegati %}{% set descr = "" %}{% if allegato['descrizione_meta'] == '' %} {% set descr = allegato['descrizione_tabella_allegati']  %} {% else %}{% set descr = allegato['descrizione_meta'] %} {% endif %}
  {% if allegato['tipo'] == "allegato" %}
   <meta codice_allegato="{{ allegato['codice'] }}"
    urn_allegato="{{ allegato['urn'] }}"
    descrizione_estesa="{{  descr[0]|upper + descr[1:descr|length] }}"
    filename="{{ allegato['filename'][0]|upper + allegato['filename'][1:allegato['filename']|length] }}"
    firmatari="{{ allegato['firmatari'] }}"
    firmatari_label="{{ allegato['firmatari_label'] }}"
    firmato="{{ allegato['firmato'] }}"
    name="GLOBO_allegato"
    numero="{{ allegato['numero'] }}"
    dimensione_massima="{{ allegato['dimensione'] }}"
    obbligatorio="DINAMICO"
    tipo_mime="{{ allegato['tipo_mime'] }}"/>
  {% elif allegato['tipo'] == "secondario" %} 
    <meta codice_modulo_figlio="{{ allegato['codice'] }}"
    urn_modulo_figlio="{{ allegato['urn'] }}"
    name="GLOBO_modulofiglio"
    numero="{{ allegato['numero'] }}"
    obbligatorio="DINAMICO"/>
  {% endif %}{% endfor %}
<meta codice_allegato="ALTRI-ALLEGATI"
urn_allegato="document:s_italia:altri.allegati"
descrizione_estesa="Altri allegati"
filename="Altri allegati"
firmatari="Titolare_CodiceFiscale"
firmatari_label="il dichiarante"
firmato="NO"
name="GLOBO_allegato"
numero="0"
dimensione_massima="15"
obbligatorio="DINAMICO"
tipo_mime="image/tiff,image/png,image/jpeg,application/pdfn"/>

{% endblock meta %}

{% block title %} Comunicazione di svolgimento manifestazione, evento, sagra per la concessione del patrocinio {% endblock title %}

{% block content %}

<input id="Parametri_Comune" name="Parametri_Comune" type="hidden" dynamic_value="#Ente.value()"/>
<input id="Oggetto" name="Oggetto" type="hidden" dynamic_value="#Titolare_Cognome.value().toUpperCase() + ' ' + #Titolare_Nome.value().toUpperCase() + ' - svolgimento manifestazione, evento, sagra per la concessione del patrocinio'"/>

{{intestazioni.intestazione_moduloprincipale_senzabollo()}}

<div class="container">
  <div class="title-1"> Comunicazione di svolgimento manifestazione, evento, sagra per la concessione del patrocinio </div>
</div>

<!-- Ulteriori ruoli disponibili: Responsabile unico del procedimento, Procuratore con potere di rappresentanza legale, Incaricato dell’impresa di onoranze funebri, Direttore tecnico, Gestore, Dipendente, Delegato
      Per il precaricamento del profilo utente settare campi_readonly = 'readonly' -->
{{ anagrafica.societa(prefix='Titolare', 
                      intestazione="Il sottoscritto", 
                      ruoli=["Persona fisica", "Titolare", "Legale rappresentante"], 
                      Solo1="Richiedente", 
                      visibility_mail="mail_ordinaria", 
                      pec_obbligatoria="false", 
                      cciaa_visibile="false", 
                      campi_readonly="readonly", 
                      visibility_residenza="visibility:visibility", 
                      visibility_asterisco_ruolo="display:none", 
                      tipologia_associazione="false", 
                      mailordinaria_obbligatoria="false", 
                      tipologia_entepubblico="false", 
                      visibility_codice_fatturazione="false", 
                      visibility_altri_dati="display:none", 
                      visibility_iscrizione_runts="display:none") }}

<div class="container border bg-light">
    <div class="form-row">
        <div class="form-group col-lg-12">
            <label for=""> Iscrizione all’albo </label>
        </div>
    </div>
    
    
    <div class="form-check indent-1">
       <div id="Tassonomia_IscrizioneAlbo" name="Tassonomia_IscrizioneAlbo" label="Iscrizione all'albo" mandatory_enabled="#Titolare_TipologiaImpresa.value() == 'associazione o altro ETS'"></div>
      <input class="form-check-input" id="Tassonomia_IscrizioneAlbo1" name="Tassonomia_IscrizioneAlbo" type="radio" value="1">
      <label class="form-check-label text-justify" for="Tassonomia_IscrizioneAlbo1"> iscritta all’albo comunale delle associazioni </label>
      <div class="form-row" mandatory_enabled="#Tassonomia_IscrizioneAlbo1.checked()">
        <div class="form-group col-lg-12">
          <label for="Parametri_NIscrizioneAlbo"> Numero iscrizione </label>
          <input class="form-control" id="Parametri_NIscrizioneAlbo" name="Parametri_NIscrizioneAlbo" label="Numero iscrizione">
        </div>
      </div>
    </div>
    
    <div class="form-check indent-1">
      
      <input class="form-check-input" id="Tassonomia_IscrizioneAlbo2" name="Tassonomia_IscrizioneAlbo" type="radio" value="2">
      <label class="form-check-label text-justify" for="Tassonomia_IscrizioneAlbo2"> non iscritta all’albo comunale delle associazioni </label>
    </div>
    
</div>                       

{{ utils.domicilio_digitale(mandatory = "true", intestazione = "", pec = "false") }}      

<globo_salto_pagina></globo_salto_pagina>

<div class="container">
  <div class="title-3"> COMUNICA </div>
  <div class="paragraph text-justify"> l’elenco degli eventi che l’associazione intende realizzare nel seguente periodo, per cui chiede la concessione del patrocinio e l’inserimento in calendario </div>
</div>

<div class="container border bg-light">
  {% set testi = [
    "calendario estivo prima parte – periodo giugno e luglio <div class='space-0'></div><span class='infoes'> (comunicazione entro e non oltre il 1 maggio) </span>",
    "calendario estivo seconda parte – periodo agosto e settembre <div class='space-0'></div><span class='infoes'> (comunicazione entro e non oltre il 1 luglio) </span>",
    "calendario autunnale – periodo ottobre e novembre <div class='space-0'></div><span class='infoes'> (comunicazione entro e non oltre il 1 settembre) </span>",
    "calendario natalizio – periodo dicembre e gennaio successivo <div class='space-0'></div><span class='infoes'> (comunicazione entro e non oltre il 1 novembre) </span>"
  ]%}
  {% for testo in testi %}
  <div class="form-check indent-1">
    {% if loop.first %} <div id="Tassonomia_Calendario" name="Tassonomia_Calendario" label="Calendario" mandatory_enabled="true"></div>{% endif %}
    <input class="form-check-input" id="Tassonomia_Calendario{{ loop.index }}" name="Tassonomia_Calendario" type="radio" value="{{ loop.index }}">
    <label class="form-check-label text-justify" for="Tassonomia_Calendario{{ loop.index }}"> {{ testo|safe }} </label>
  </div>
  {% endfor %}
  <div class="form-check indent-1">
    <input class="form-check-input" id="Tassonomia_Calendario5" name="Tassonomia_Calendario" type="radio" value="5">
    <label class="form-check-label text-justify" for="Tassonomia_Calendario5"> altro periodo di seguito specificato <div class="space-0"></div><span class="infoes"> (comunicazione almeno 20 giorni prima della data dell’evento)  </span> </label>
    <div class="form-row" mandatory_enabled="#Tassonomia_Calendario5.checked()">
      <div class="form-group col-lg-12">
        <label for="Parametri_Periodo"> Periodo </label>
        <input class="form-control" id="Parametri_Periodo" name="Parametri_Periodo" label="Periodo">
      </div>
    </div>
  </div>
</div>

<!-- Settare in condiz la condizione di attivazione della prima riga. Se un campo deve essere opzionale, inserire "true" nel parametro enabled dell'array -->
{% set num=4 %}
{% set condiz="true"%}
{% set campi=[
  {
    "titolo":"Nominativo",
    "label":"Nominativo",
    "id":"Parametri_Nominativo",
    "format":"",
    "carattere_speciale":"",
    "col":"4",
    "options":"",
    "enabled":""
  },
  {
    "titolo":"Telefono",
    "label":"Telefono",
    "id":"Parametri_Telefono",
    "format":"telephone",
    "carattere_speciale":"",
    "col":"4",
    "options":"",
    "enabled":""
  },
  {
    "titolo":"Posta elettronica",
    "label":"Posta elettronica",
    "id":"Parametri_Email",
    "format":"email",
    "carattere_speciale":"",
    "col":"4",
    "options":"",
    "enabled":""
  },
]%}
<div class="container border bg-light">
  <div class="form-row">
    <div class="col-lg-12">
      <span class="title"> indicando in quanto referenti </span>
    </div>
  </div>
  <div class="form-row">
    {% for rowlabel in campi %}
    <div class="form-group col-lg-{{ rowlabel['col'] }}">
      <label for=""> {{ rowlabel['titolo']}} </label>
    </div>
    {% endfor %}
  </div>
  {% for i in range(1, num) %}
  <div class="form-row">
    {% for campo in campi %}
    <div class="form-group col-lg-{{ campo['col'] }}">
      {% if campo["carattere_speciale"]!=''%}<div class="paragraph">{% endif %}
        {% if campo["options"] == ''%}<input {% else %} <select {% endif %} label="{{ campo['label'] }}" {% if campo["format"]!='' %} format="{{ campo['format'] }}" {% endif %} id="{{ campo['id']~i }}" name="{{ campo['id']~i }}" {% if i==1 %} {% if campo['enabled']!= '' %} enabled="{{condiz}}" {% else %} mandatory_enabled="{{condiz}}" {% endif %} {% endif %} {% if i!=1 %} {% if loop.first %} enabled="#{{ campo['id']~ (i-1)}}.value()!=''" {% else %} {% if campo['enabled'] != '' %} enabled="#{{ campi[0]['id']~i }}.value()!=''" {% else %} mandatory_enabled="#{{ campi[0]['id']~i }}.value()!=''" {% endif %} {% endif %}{% endif %} class="form-control {% if campo['options'] != ''%} custom-select {% endif %} {% if campo['carattere_speciale']!='' %} w-50 d-inline-block {% endif %}"  {% if campo["campi"] == ''%}/> {% else %}> {% endif %}
        {% if campo["options"] != ''%}<option value=""></option>{% for option in campo["options"].split(',') %}<option value="{{ option }}">{{ option }}</option>{% endfor %}</select>{% endif %}
      {% if campo["carattere_speciale"]!=''%}{{ campo["carattere_speciale"] }}</div>{% endif %}
    </div>
    {% endfor %}
  </div>
  {% endfor %}
</div>

{{ utils.Dichiara_445() }}

<div class="container">
  {% set dic = [
    "di aver preso visione dei vigenti regolamenti comunali e di essere a conoscenza della Mozione n. 43 del 24/09/2019 relativa alla riduzione dell’incidenza dei prodotti di plastica monouso nelle manifestazioni patrocinate da questa Amministrazione",
    "di trasmettere di seguito in allegato una scheda tecnica per ciascun evento proposto, debitamente compilata in ogni sua parte, chiara e leggibile, progressivamente numerata",
    "di impegnarsi a segnalare tempestivamente le date degli eventi in calendario alla Ditta incaricata della Raccolta dei Rifiuti impegnandosi ad effettuare una corretta raccolta differenziata sia nel corso che al termine di ciascuna manifestazione e concordandone eventualmente un ulteriore ritiro differito",
    "di impegnarsi a richiedere autonomamente tutti quegli altri eventuali atti autorizzativi necessari per il regolare svolgimento della manifestazione  secondo le normative vigenti"
  ]%}
  {% for dichiara in dic %}
  <div class="form-check indent-1">
    <input class="form-check-input" id="Dichiara{{ loop.index }}" name="Dichiara{{ loop.index }}" type="checkbox" value="SI" checked="checked" dynamic_check="true">
    <label class="form-check-label text-justify" for="Dichiara{{ loop.index }}"> {{ dichiara|safe }} </label>
  </div>
  {% endfor %}
</div>

<div class="space-1"></div>

{{ utils.eventuali_annotazioni()}}

<globo_salto_pagina></globo_salto_pagina>

<div class="space-1"></div>

<div class="container border bg-light">
  <div class="form-row">
    <div class="col-lg-12" style="text-align: center;">
      <span class="title"> Elenco degli allegati </span>
      <div class="space-0"></div>
      <span class="infoes"> (barrare tutti gli allegati richiesti in fase di presentazione della pratica ed elencati sul portale) </span>
    </div>
  </div>
  {% for allegato in allegati %}
  <div class="form-check indent-1">
    {% if allegato['tipo'] == "allegato" %}<input id="GLOBO_allegato_c{{ allegato['codice'] }}" name="GLOBO_allegato_c{{ allegato['codice'] }}" obbligatorio="#{{ allegato['codice']|replace('-', '_') }}.checked() ? 'OBBLIGATORIO' : ''" type="hidden" value=""/>{% elif allegato['tipo'] == "secondario" %} <input id="GLOBO_modulofiglio_c{{ allegato['codice'] }}" name="GLOBO_modulofiglio_c{{ allegato['codice'] }}" type="hidden" value="" obbligatorio="#{{ allegato['codice']|replace('-', '_') }}.checked() ? 'OBBLIGATORIO' : ''"/>{% endif %}
    <input class="form-check-input" id="{{ allegato['codice'] }}" name="{{ allegato['codice'] }}" type="checkbox" value="OBBLIGATORIO" {% if allegato['dynamic_check'] == "true" %} dynamic_check="true" checked="checked" {% elif allegato['dynamic_check'] != "" and allegato['enabled'] == "" %} dynamic_check="{{ allegato['dynamic_check'] }}" {% elif allegato['dynamic_check'] == "" and allegato['enabled'] != "" %} enabled="{{ allegato['enabled'] }}" {% elif allegato['dynamic_check'] != "" and allegato['enabled'] != "" %} dynamic_check="{{ allegato['dynamic_check'] }}" enabled="{{ allegato['enabled'] }}" {% endif %}>
    <label class="form-check-label text-justify" for="{{ allegato['codice'] }}"> {{ allegato['descrizione_tabella_allegati'][0]|lower + allegato['descrizione_tabella_allegati'][1:allegato['descrizione_tabella_allegati']|length] }}{% if allegato['annotazioni_tabella_allegati'] != "" %} <div class="space-0"></div> <span class="infoes"><i>{{  allegato['annotazioni_tabella_allegati']|safe }}</i></span>{% endif %}</label>
  </div>
  {% endfor %}
  <div class="form-row ml-0 mr-0 mt-1">
    <div class="form-check indent-1 col-lg-2">
      <input class="form-check-input" type="checkbox" id="ALTRI-ALLEGATI" name="ALTRI-ALLEGATI" value="OBBLIGATORIO">
      <label class="form-check-label text-justify" for="ALTRI-ALLEGATI">altri allegati </label>
    </div>
    <div class="form-group col-lg-10">
      <input class="form-control" id="AltriAllegati" name="AltriAllegati" mandatory_enabled="#ALTRI_ALLEGATI.checked()">
    </div>
  </div>
</div>

<div class="space-1"></div>

{{ utils.trattamento_dati_personali() }}

<div class="space-1"></div>

<globo_fondo_pagina style="margin-left: 25pt;" areaheight="150" scope="3">
  {{ utils.firma_unificata()}}
</globo_fondo_pagina>

<div class="space-1"></div>

{{ utils.salva()}}

<input destinatario_amministrazione="getParameter('Ente')" id="GLOBO_modulo_c{{ CodiceModulo }}" name="GLOBO_modulo_c{{ CodiceModulo }}" type="hidden" value=""/>
<input firmare="'P7M_ELETTRONICA'" id="GLOBO_modulofiglio_cINCARICO_PROCURA" name="GLOBO_modulofiglio_cINCARICO_PROCURA" type="hidden" value=""/>

<input id="GLOBO_allegato_cALTRI-ALLEGATI" name="GLOBO_allegato_cALTRI-ALLEGATI" type="hidden" value="" obbligatorio="#ALTRI_ALLEGATI.checked() ? 'OBBLIGATORIO' : ''"/>

<input id="GLOBO_id_padre" name="GLOBO_id_padre" type="hidden"/>
<input id="GLOBO_recupera_dati" name="GLOBO_recupera_dati" type="hidden"/>
<input id="GLOBO_codice_modulo" name="GLOBO_codice_modulo" type="hidden" value="{{ CodiceModulo }}"/>

{% endblock content %}